# Manuale dell'utente di &kde;

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

Demone di &kde; - aggiorna la banca dati di Sycoca quando necessario.

## Sintassi

    kded4 --help opzioni generiche opzioni di Qt opzioni di KDE --check

## Descrizione

`kded4` è responsabile della creazione del file Sycoca, cioè la cache binaria di tipi di servizi, tipi di file, e servizi per un certo utente.

Sorveglia le cartelle contenenti file `.desktop`. Quando un file viene aggiunto o rimosso, attende cinque secondi (per il caso di una serie di aggiornamenti), e quindi avvia `kbuildsycoca`.

## Opzioni generiche

`--author`

  Mostra le informazioni sull'autore.

`--help`

  Mostra la guida sulle opzioni.

`--help-all`

  Mostra tutte le opzioni.

`--help-kde`

  Mostra le opzioni specifiche per &kde;.

`--help-qt`

  Mostra le opzioni specifiche per Qt.

`--license`

  Mostra le informazioni sulla licenza.

`-v` `--version`

  Mostra le informazioni sulla versione

## Opzioni dell'applicazione

`--check`

  Controlla la banca dati di Sycoca solo una volta.

## Uso

Se `kded4` viene chiamato senza parametri ed è già in esecuzione, visualizza il messaggio:

    Demone di &kde; (kded) già in esecuzione.

Se il comando `kded4` viene chiamato come `kded4 `--check``, aggiorna il Sycoca di &kde; usando `kbuildsycoca`.

## Vedi anche

kdeoptions(7), qtoptions(7), kbuildsycoca(8)

## Errori

Probabilmente ce ne sono a bizzeffe. Usa bugs.kde.org per segnalarli.